Recover one bounded page per mapping and environment
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/integrations/vercel/reconcile \
--header 'Content-Type: application/json' \
--cookie sb-%3Cproject-ref%3E-auth-token= \
--data '
{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vercel_project_id": "<string>"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/integrations/vercel/reconcile"
payload = {
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vercel_project_id": "<string>"
}
headers = {
"cookie": "sb-%3Cproject-ref%3E-auth-token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'sb-%3Cproject-ref%3E-auth-token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vercel_project_id: '<string>'
})
};
fetch('https://atollhq.com/api/orgs/{id}/integrations/vercel/reconcile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"complete": true,
"results": [
{
"mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "preview",
"discovered": 123,
"ingested": 123,
"skipped": 123,
"failed": 123,
"truncated": true,
"codes": [
"<string>"
]
}
]
}Integrations
Recover one bounded page per mapping and environment
POST
/
api
/
orgs
/
{id}
/
integrations
/
vercel
/
reconcile
Recover one bounded page per mapping and environment
Authorizations
Authenticated Supabase web session for a human Atoll user. The cookie name includes the deployment's Supabase project reference and may be chunked.
Path Parameters
Body
application/json

